Documentation Development Eclipse Beat

From FedoraProject

(Difference between revisions)
Jump to: navigation, search
m (Changed the category.)
(Replaced content with '{{Admon/warning | F13 | Beat owner should begin placing Fedora 13 content in this beat. }} <noinclude>Category:Release Notes<noinclude> Category:Documentation_beats')
Line 1: Line 1:
{{Admon/warning | Document is Final | The contents of this beat have been sent for translation for the GA version of the Release Notes.  Any additional changes to this beat will not appear until after the release of Fedora 12.  If you have zero-day changes, be sure to post a bug. }}
+
{{Admon/warning | F13 | Beat owner should begin placing Fedora 13 content in this beat. }}
 
+
=== Eclipse ===
+
 
+
Eclipse has had a major update to version 3.5 (Galileo). Users should read the [http://update.eclipse.org/downloads/drops/R-3.5-200906111540/eclipse-news-all.html Eclipse New & Noteworthy] page to see the release notes for this version.
+
 
+
Fedora now includes more Eclipse plug-ins than ever before with the new inclusion of Doxygen Integration (eclipse-eclox), the Remote System Explorer (eclipse-rse) and a Verilog/VHDL Editor (eclipse-veditor).
+
 
+
Other major changes in Eclipse plug-ins include the Data Tools Platform now contains the full database development IDE (eclipse-dtp), the Dynamic Language Toolkit now includes Remote System Explorer integration (eclipse-dltk-rse) and the Eclipse Modelling Framework SDO component was obsoleted and removed (eclipse-emf-sdo).
+
 
+
Users wishing to install additional Eclipse plugins using the Eclipse Update Manager are advised to add the Eclipse Galileo update site by doing the following:  click the ''Help'' menu and select ''Install New Software...''.  Click ''Add...'' and enter "Galileo" in the ''Name'' field and
+
"http://download.eclipse.org/releases/galileo" in the ''Location'' field.  Click ''OK''.
+
 
+
<center>'''Changed Packages'''</center>
+
 
+
 
+
{|style="width:100%"
+
|-
+
! Package || <center>Fedora 11</center> || <center>Fedora 12</center> || Upstream URL
+
|-
+
| {{Package|eclipse-anyedit}} || <center>new</center> || <center>2.2.0</center> || &nbsp;
+
|-
+
| {{Package|eclipse-birt}} || <center>2.3.2</center> || <center>2.5</center> || http://www.eclipse.org/birt/
+
|-
+
| {{Package|eclipse-cdt}} || <center>5.0.2</center> || <center>6.0.0</center> || http://www.eclipse.org/cdt
+
|-
+
| {{Package|eclipse-cdt-mylyn}} || <center>5.0.2</center> || <center>6.0.0</center> || http://www.eclipse.org/cdt
+
|-
+
| {{Package|eclipse-cdt-sdk}} || <center>5.0.2</center> || <center>6.0.0</center> || http://www.eclipse.org/cdt
+
|-
+
| {{Package|eclipse-changelog}} || <center>2.6.6</center> || <center>2.6.7</center> || http://sources.redhat.com/eclipse
+
|-
+
| {{Package|eclipse-dltk-rse}} || <center>new</center> || <center>1.0.0</center> || &nbsp;
+
|-
+
| {{Package|eclipse-dltk-sdk}} || <center>new</center> || <center>1.0.0</center> || &nbsp;
+
|-
+
| {{Package|eclipse-dtp}} || <center>1.6.2</center> || <center>1.7.0</center> || http://www.eclipse.org/datatools/
+
|-
+
| {{Package|eclipse-eclemma}} || <center>1.3.2</center> || <center>1.4.2</center> || http://www.eclemma.org
+
|-
+
| {{Package|eclipse-eclox}} || <center>new</center> || <center>0.8.0</center> || &nbsp;
+
|-
+
| {{Package|eclipse-egit}} || <center>0.4.0</center> || <center>0.5.0</center> || http://repo.or.cz/w/egit.git
+
|-
+
| {{Package|eclipse-emf}} || <center>2.4.2</center> || <center>2.5.0</center> || http://www.eclipse.org/modeling/emf/
+
|-
+
| {{Package|eclipse-emf-examples}} || <center>2.4.2</center> || <center>2.5.0</center> || http://www.eclipse.org/modeling/emf/
+
|-
+
| {{Package|eclipse-emf-sdk}} || <center>2.4.2</center> || <center>2.5.0</center> || http://www.eclipse.org/modeling/emf/
+
|-
+
| {{Package|eclipse-emf-xsd}} || <center>2.4.2</center> || <center>2.5.0</center> || http://www.eclipse.org/modeling/emf/
+
|-
+
| {{Package|eclipse-emf-xsd-sdk}} || <center>2.4.2</center> || <center>2.5.0</center> || http://www.eclipse.org/modeling/emf/
+
|-
+
| {{Package|eclipse-epic}} || <center>0.6.33</center> || <center>0.6.35</center> || http://www.epic-ide.org/
+
|-
+
| {{Package|eclipse-findbugs}} || <center>1.3.8</center> || <center>1.3.9</center> || http://findbugs.sourceforge.net/
+
|-
+
| {{Package|eclipse-findbugs-contrib}} || <center>new</center> || <center>3.8.1</center> || &nbsp;
+
|-
+
| {{Package|eclipse-gef}} || <center>3.4.2</center> || <center>3.5.0</center> || http://www.eclipse.org/gef/
+
|-
+
| {{Package|eclipse-gef-examples}} || <center>3.4.2</center> || <center>3.5.0</center> || http://www.eclipse.org/gef/
+
|-
+
| {{Package|eclipse-gef-sdk}} || <center>3.4.2</center> || <center>3.5.0</center> || http://www.eclipse.org/gef/
+
|-
+
| {{Package|eclipse-jdt}} || <center>3.4.2</center> || <center>3.5.0</center> || http://www.eclipse.org/
+
|-
+
| {{Package|eclipse-linuxprofilingframework}} || <center>0.1.0</center> || <center>0.3.0</center> || http://eclipse.org/linuxtools
+
|-
+
| {{Package|eclipse-moreunit}} || <center>1.3.2</center> || <center>1.3.3</center> || http://moreunit.sourceforge.net
+
|-
+
| {{Package|eclipse-mylyn}} || <center>3.1.0</center> || <center>3.2.1</center> || http://www.eclipse.org/mylyn
+
|-
+
| {{Package|eclipse-mylyn-java}} || <center>3.1.0</center> || <center>3.2.1</center> || http://www.eclipse.org/mylyn
+
|-
+
| {{Package|eclipse-mylyn-pde}} || <center>3.1.0</center> || <center>3.2.1</center> || http://www.eclipse.org/mylyn
+
|-
+
| {{Package|eclipse-mylyn-trac}} || <center>3.1.0</center> || <center>3.2.1</center> || http://www.eclipse.org/mylyn
+
|-
+
| {{Package|eclipse-mylyn-webtasks}} || <center>3.1.0</center> || <center>3.2.1</center> || http://www.eclipse.org/mylyn
+
|-
+
| {{Package|eclipse-mylyn-wikitext}} || <center>3.1.0</center> || <center>3.2.1</center> || http://www.eclipse.org/mylyn
+
|-
+
| {{Package|eclipse-nls}} || <center>new</center> || <center>3.5.0.v20090620043401</center> || &nbsp;
+
|-
+
| {{Package|eclipse-nls-ar}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-bg}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-cs}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-da}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-de}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-el}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-en_AA}} || <center>new</center> || <center>3.5.0.v20090620043401</center> || &nbsp;
+
|-
+
| {{Package|eclipse-nls-en_AU}} || <center>new</center> || <center>3.5.0.v20090620043401</center> || &nbsp;
+
|-
+
| {{Package|eclipse-nls-es}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-et}} || <center>new</center> || <center>3.5.0.v20090620043401</center> || &nbsp;
+
|-
+
| {{Package|eclipse-nls-fi}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-fr}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-he}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-hi}} || <center>new</center> || <center>3.5.0.v20090620043401</center> || &nbsp;
+
|-
+
| {{Package|eclipse-nls-hu}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-it}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-ja}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-ko}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-mn}} || <center>new</center> || <center>3.5.0.v20090620043401</center> || &nbsp;
+
|-
+
| {{Package|eclipse-nls-nl}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-no}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-pl}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-pt}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-pt_BR}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-ro}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-ru}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-sv}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-tr}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-uk}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-zh}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-nls-zh_TW}} || <center>0.2.0</center> || <center>3.5.0.v20090620043401</center> || http://babel.eclipse.org/
+
|-
+
| {{Package|eclipse-oprofile}} || <center>0.1.0</center> || <center>0.2.0</center> || http://www.eclipse.org/linuxtools/projectPages/oprofile/
+
|-
+
| {{Package|eclipse-pde}} || <center>3.4.2</center> || <center>3.5.0</center> || http://www.eclipse.org/
+
|-
+
| {{Package|eclipse-platform}} || <center>3.4.2</center> || <center>3.5.0</center> || http://www.eclipse.org/
+
|-
+
| {{Package|eclipse-pydev}} || <center>1.4.4</center> || <center>1.4.7</center> || http://pydev.sourceforge.net
+
|-
+
| {{Package|eclipse-pydev-mylyn}} || <center>1.4.4</center> || <center>1.4.7</center> || http://pydev.sourceforge.net
+
|-
+
| {{Package|eclipse-rcp}} || <center>3.4.2</center> || <center>3.5.0</center> || http://www.eclipse.org/
+
|-
+
| {{Package|eclipse-rpm-editor}} || <center>0.4.2</center> || <center>0.4.3</center> || http://www.eclipse.org/linuxtools/
+
|-
+
| {{Package|eclipse-rpmstubby}} || <center>0.1.1</center> || <center>0.3.0</center> || http://www.eclipse.org/linuxtools/projectPages/rpmstubby/
+
|-
+
| {{Package|eclipse-rse}} || <center>new</center> || <center>3.1</center> || &nbsp;
+
|-
+
| {{Package|eclipse-slide}} || <center>1.3.9</center> || <center>1.3.13</center> || http://oss.tresys.com/projects/slide
+
|-
+
| {{Package|eclipse-subclipse}} || <center>1.6.0</center> || <center>1.6.5</center> || http://subclipse.tigris.org/
+
|-
+
| {{Package|eclipse-subclipse-graph}} || <center>1.6.0</center> || <center>1.6.5</center> || http://subclipse.tigris.org/
+
|-
+
| {{Package|eclipse-svnkit}} || <center>1.2.3</center> || <center>1.3.0</center> || http://www.svnkit.com/
+
|-
+
| {{Package|eclipse-swt}} || <center>3.4.2</center> || <center>3.5.0</center> || http://www.eclipse.org/
+
|-
+
| {{Package|eclipse-testframework}} || <center>new</center> || <center>3.5.0</center> || &nbsp;
+
|-
+
| {{Package|eclipse-texlipse}} || <center>new</center> || <center>1.3.0</center> || &nbsp;
+
|-
+
| {{Package|eclipse-valgrind}} || <center>0.1.0</center> || <center>0.3.0</center> || http://www.eclipse.org/linuxtools/projectPages/valgrind
+
|-
+
| {{Package|eclipse-veditor}} || <center>new</center> || <center>0.6.3</center> || &nbsp;
+
|-
+
| {{Package|icu4j-eclipse}} || <center>3.8.1</center> || <center>4.0.1</center> || http://www-306.ibm.com/software/globalization/icu/index.jsp
+
|-
+
| {{Package|maven2-plugin-eclipse}} || <center>2.0.4</center> || <center>2.0.8</center> || http://maven.apache.org/
+
|}
+
 
+
 
+
 
+
102 packages, 84 changed, 18 unchanged.
+
  
  
 +
<noinclude>[[Category:Release Notes]]<noinclude>
 
[[Category:Documentation_beats]]
 
[[Category:Documentation_beats]]

Revision as of 21:20, 16 February 2010

Warning (medium size).png
F13
Beat owner should begin placing Fedora 13 content in this beat.